// Copyright 2010 Simon Massey. All rights reserved. net.sf.chex4j is licensed under the terms of the Eclipse Public License v1.0, as defined by the attached file LICENSE-ECLIPSE.txt.net.sf.chex4j is licensed under the terms of the Eclipse Public License v1.0, as defined by the attached file LICENSE-ECLIPSE.txt.
package net.sf.chex4j.internal;

/*package*/ class ClassInstrumentorBase {

	protected String createCode(String codeValue, String assertionMessage) {
		String postMessage = assertionMessage;
		if (null == postMessage || postMessage.equals("")) {
			postMessage = codeValue;
		} else {
			postMessage += " : " + codeValue;
		}
		assertionMessage = postMessage;

		String code = String
				.format(
						"{ net.sf.chex4j.internal.Assert.assertTrue(%s, \"%s\"); }",
						codeValue, assertionMessage);
		return code;
	}



}